summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/powernowd/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/community/powernowd/run')
-rw-r--r--abs/extra/community/powernowd/run25
1 files changed, 25 insertions, 0 deletions
diff --git a/abs/extra/community/powernowd/run b/abs/extra/community/powernowd/run
new file mode 100644
index 0000000..0e83b98
--- /dev/null
+++ b/abs/extra/community/powernowd/run
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# AUR Credits:
+# simple init script the ARCH-way for Powernowd
+# Made by, CyberTron, packages@linuxportalen.com
+
+# Modifications by Alexander Baldeck <alexander@archlinux.org>
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/powernowd`
+
+[ -f /etc/conf.d/powernowd ] && source /etc/conf.d/powernowd
+
+ stat_runit "Starting Powernowd"
+ [ -z "$PID" ] && /usr/sbin/powernowd $OPTIONS 2>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/powernowd.pid
+ add_daemon powernowd
+ stat_done
+ fi